#ifndef _GYR_GROUP_MEMBER_HH
#define _GYR_GROUP_MEMBER_HH

#include "lowreceiver.h"
#include "highreceiver.h"
#include "lowsender.h"

class GroupMember {
	private:
		std::list<int> _group;

		HighReceiver * _high_receiver; // high level
		LowReceiver * _low_receiver; // low level
		LowSender * _sender; // low level

	protected:
	public:
		void addToGroup(int port);	
		
};

#endif // _GYR_COMPONENT_HH
